#ifndef FUNCTIONS_CPP
#define FUNCTIONS_CPP

using std::numeric_limits;


//**The getval routines are overloaded to be used for both
//**Ints and floats. The call is made by reference
void getval(int *a){
	while (!(cin >> *a))
	{
		cin.clear();
		cin.ignore(numeric_limits<int>::max(), '\n');
		cout << "Wrong type of input. Give the input again: "; 
	}
}

void getval(float *a){
	while (!(cin >> *a))
	{
		cin.clear();
		cin.ignore(numeric_limits<int>::max(), '\n');
		cout << "Wrong type of input. Give the input again: "; 
	}	
}

//**The getval functions will store the number into the variable already
//**given at the call
#endif